if SERVER then
	AddCSLuaFile("pointshop/vgui/dpointshopbutton.lua")
	AddCSLuaFile("pointshop/vgui/dpointshopmenu.lua")
	AddCSLuaFile("pointshop/vgui/dpointshopitem.lua")
	AddCSLuaFile("pointshop/vgui/dpointshoppreview.lua")
	AddCSLuaFile("pointshop/vgui/dpointshopcolorchooser.lua")
	AddCSLuaFile("pointshop/vgui/dpointshopskinchooser.lua")

	AddCSLuaFile("pointshop/sh_pointshop.lua")
	AddCSLuaFile("pointshop/sh_config.lua")
	AddCSLuaFile("pointshop/cl_player_extension.lua")
	AddCSLuaFile("pointshop/cl_pointshop.lua")
	AddCSLuaFile("pointshop/cl_design.lua")

	include("pointshop/sh_pointshop.lua")
	include("pointshop/sh_config.lua")
	include("pointshop/sv_player_extension.lua")
	include("pointshop/sv_pointshop.lua")
end

if CLIENT then
	include("pointshop/vgui/dpointshopbutton.lua")
	include("pointshop/vgui/dpointshopmenu.lua")
	include("pointshop/vgui/dpointshopitem.lua")
	include("pointshop/vgui/dpointshoppreview.lua")
	include("pointshop/vgui/dpointshopcolorchooser.lua")
	include("pointshop/vgui/dpointshopskinchooser.lua")

	include("pointshop/sh_pointshop.lua")
	include("pointshop/sh_config.lua")
	include("pointshop/cl_player_extension.lua")
	include("pointshop/cl_pointshop.lua")
	include("pointshop/cl_design.lua")
end

timer.Simple(0, function()
	DarkRP.declareChatCommand{
		command = "boosttime",
		description = "Check the remaining time of your active boost.",
		delay = 1
	}
	
	if !PS.Loaded then
		PS:LoadItems()
	end
end)